Page MenuHomePhabricator

Migrate Korma identitites database to SortingHat
Closed, ResolvedPublic

Description

SortingHat [1] is a new tool used to help anyone interested in managing identities. This avoids database access, and simplify the work through command line options.

This task aims at migrating the current version of the database schema to SortingHat needs.

Event Timeline

Dicortazar assigned this task to Acs.
Dicortazar raised the priority of this task from to Normal.
Dicortazar updated the task description. (Show Details)
Dicortazar moved this task to Backlog on the wikimedia.biterg.io board.
Dicortazar added a subscriber: Dicortazar.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 17 2015, 12:50 PM
Dicortazar set Security to None.
Dicortazar added a subscriber: Qgil.
Acs moved this task from Backlog to Ready To Go on the ECT-March-2015 board.Mar 17 2015, 1:04 PM
Qgil raised the priority of this task from Normal to High.Mar 27 2015, 10:09 AM

We're still missing nationalities information. Once those are migrated, we can close this task.

Qgil added a comment.EditedApr 6 2015, 3:09 PM

This task was planned for March. Do you have an estimated delivery time?

Qgil moved this task from Backlog to Doing on the ECT-April-2015 board.Apr 16 2015, 9:59 AM

This task was already done some days ago. Closing this.

How do we know that identities were migrated to SortingHat? The big JSON file was produced by SortingHat and have already played with that file to update an identity.

Dicortazar closed this task as Resolved.Apr 22 2015, 11:44 AM